function localidad( name, gui , color_release  , color_hover, id, nemo)
{
 this.name = name ;
 this.gui = gui ; 
 this.color_release = color_release; 
 this.color_hover = color_hover;
 this.color = color_release ;
 this.id = id ;
 this.nemo = nemo;

}

//DIBUJO DE LOS DEPARTAMENTOS
var macarena  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2065,1533);
ctx.bezierCurveTo(1950,1503,1841,1472,1823,1464);
ctx.bezierCurveTo(1796,1453,1789,1453,1783,1464);
ctx.bezierCurveTo(1779,1471,1766,1482,1754,1488);
ctx.bezierCurveTo(1734,1498,1718,1500,1597,1503);
ctx.bezierCurveTo(1566,1504,1540,1509,1540,1513);
ctx.bezierCurveTo(1540,1518,1536,1518,1530,1515);
ctx.bezierCurveTo(1516,1506,1430,1499,1335,1498);
ctx.bezierCurveTo(1291,1498,1250,1494,1245,1490);
ctx.bezierCurveTo(1239,1485,1221,1480,1205,1478);
ctx.bezierCurveTo(1173,1475,1130,1435,1130,1410);
ctx.bezierCurveTo(1130,1402,1121,1384,1111,1371);
ctx.bezierCurveTo(1093,1347,1087,1347,1005,1366);
ctx.bezierCurveTo(929,1383,920,1382,920,1361);
ctx.bezierCurveTo(920,1349,914,1337,906,1334);
ctx.bezierCurveTo(898,1331,886,1315,880,1299);
ctx.bezierCurveTo(873,1283,860,1266,852,1261);
ctx.bezierCurveTo(841,1255,835,1232,832,1191);
ctx.lineTo(828,1130);
ctx.lineTo(864,1130);
ctx.bezierCurveTo(884,1130,900,1126,900,1122);
ctx.bezierCurveTo(900,1117,911,1107,925,1100);
ctx.bezierCurveTo(940,1092,946,1084,940,1080);
ctx.bezierCurveTo(920,1068,941,1041,973,1038);
ctx.bezierCurveTo(1002,1035,1005,1032,1005,1000);
ctx.bezierCurveTo(1005,971,1001,964,983,962);
ctx.bezierCurveTo(964,959,960,952,960,919);
ctx.bezierCurveTo(960,892,964,880,974,880);
ctx.bezierCurveTo(990,880,1003,853,994,839);
ctx.bezierCurveTo(991,834,996,830,1004,830);
ctx.bezierCurveTo(1013,830,1020,822,1020,811);
ctx.bezierCurveTo(1020,801,1027,787,1035,780);
ctx.bezierCurveTo(1045,771,1050,753,1048,726);
ctx.bezierCurveTo(1047,703,1047,667,1048,645);
ctx.bezierCurveTo(1051,607,1054,603,1103,580);
ctx.bezierCurveTo(1134,565,1173,555,1199,555);
ctx.bezierCurveTo(1232,555,1245,550,1254,535);
ctx.bezierCurveTo(1260,524,1266,513,1267,511);
ctx.bezierCurveTo(1273,501,1317,506,1333,519);
ctx.bezierCurveTo(1371,551,1420,492,1420,414);
ctx.bezierCurveTo(1420,382,1422,380,1453,380);
ctx.bezierCurveTo(1484,380,1526,401,1542,424);
ctx.bezierCurveTo(1547,432,1556,431,1570,423);
ctx.bezierCurveTo(1581,416,1599,410,1610,410);
ctx.bezierCurveTo(1629,410,1631,405,1634,360);
ctx.bezierCurveTo(1635,342,1670,340,1687,356);
ctx.bezierCurveTo(1703,372,1783,334,1776,314);
ctx.bezierCurveTo(1771,301,1779,303,1840,326);
ctx.bezierCurveTo(1848,330,1867,333,1882,334);
ctx.bezierCurveTo(1902,335,1906,332,1898,323);
ctx.bezierCurveTo(1890,313,1893,310,1911,309);
ctx.bezierCurveTo(1960,307,2006,312,2025,323);
ctx.bezierCurveTo(2053,338,2149,338,2155,323);
ctx.bezierCurveTo(2157,316,2166,310,2175,310);
ctx.bezierCurveTo(2188,310,2190,360,2190,735);
ctx.bezierCurveTo(2190,1043,2193,1159,2201,1158);
ctx.bezierCurveTo(2213,1155,2220,1176,2224,1221);
ctx.bezierCurveTo(2226,1235,2230,1252,2234,1258);
ctx.bezierCurveTo(2244,1275,2270,1273,2270,1255);
ctx.bezierCurveTo(2270,1235,2307,1236,2328,1257);
ctx.bezierCurveTo(2344,1273,2345,1273,2348,1257);
ctx.bezierCurveTo(2351,1244,2362,1240,2393,1240);
ctx.bezierCurveTo(2450,1240,2460,1258,2450,1341);
ctx.bezierCurveTo(2446,1376,2445,1408,2447,1413);
ctx.bezierCurveTo(2449,1417,2438,1420,2422,1420);
ctx.bezierCurveTo(2390,1420,2378,1436,2387,1468);
ctx.bezierCurveTo(2392,1488,2363,1550,2349,1550);
ctx.bezierCurveTo(2345,1550,2340,1559,2337,1570);
ctx.bezierCurveTo(2329,1599,2303,1596,2065,1533);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var uribe  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1434,2965);
ctx.bezierCurveTo(1394,2934,1293,2925,1284,2952);
ctx.bezierCurveTo(1278,2971,1250,2977,1250,2959);
ctx.bezierCurveTo(1250,2946,1183,2880,1155,2865);
ctx.bezierCurveTo(1144,2859,1128,2834,1120,2809);
ctx.bezierCurveTo(1101,2752,1064,2700,1041,2700);
ctx.bezierCurveTo(1032,2700,1013,2686,1000,2668);
ctx.bezierCurveTo(981,2642,979,2634,989,2618);
ctx.bezierCurveTo(995,2608,999,2596,996,2592);
ctx.bezierCurveTo(993,2587,995,2578,1000,2570);
ctx.bezierCurveTo(1006,2561,1003,2552,993,2545);
ctx.bezierCurveTo(978,2534,977,2523,983,2443);
ctx.bezierCurveTo(986,2407,982,2396,958,2373);
ctx.bezierCurveTo(943,2358,930,2340,930,2333);
ctx.bezierCurveTo(930,2326,926,2320,920,2320);
ctx.bezierCurveTo(915,2320,910,2311,910,2300);
ctx.bezierCurveTo(910,2289,897,2271,880,2259);
ctx.bezierCurveTo(864,2247,848,2224,844,2207);
ctx.bezierCurveTo(841,2190,830,2175,819,2173);
ctx.bezierCurveTo(808,2170,793,2155,784,2139);
ctx.bezierCurveTo(776,2123,764,2110,757,2109);
ctx.bezierCurveTo(740,2109,660,1996,660,1972);
ctx.bezierCurveTo(660,1947,699,1938,731,1956);
ctx.bezierCurveTo(762,1973,770,1973,770,1957);
ctx.bezierCurveTo(770,1929,795,1890,810,1896);
ctx.bezierCurveTo(844,1909,918,1912,924,1901);
ctx.bezierCurveTo(928,1895,932,1868,933,1842);
ctx.bezierCurveTo(935,1795,961,1740,980,1740);
ctx.bezierCurveTo(985,1740,985,1727,979,1708);
ctx.bezierCurveTo(973,1685,973,1674,981,1671);
ctx.bezierCurveTo(998,1666,1030,1632,1030,1620);
ctx.bezierCurveTo(1030,1615,1021,1601,1011,1591);
ctx.bezierCurveTo(1000,1580,994,1569,998,1566);
ctx.bezierCurveTo(1001,1563,997,1560,990,1560);
ctx.bezierCurveTo(972,1560,910,1498,910,1481);
ctx.bezierCurveTo(910,1473,920,1456,932,1443);
ctx.bezierCurveTo(949,1425,951,1417,942,1408);
ctx.bezierCurveTo(935,1401,930,1393,930,1389);
ctx.bezierCurveTo(930,1386,966,1375,1011,1365);
ctx.bezierCurveTo(1087,1349,1092,1349,1111,1366);
ctx.bezierCurveTo(1122,1376,1130,1396,1130,1414);
ctx.bezierCurveTo(1130,1438,1137,1449,1161,1463);
ctx.bezierCurveTo(1178,1472,1196,1477,1201,1474);
ctx.bezierCurveTo(1207,1471,1218,1474,1226,1481);
ctx.bezierCurveTo(1234,1488,1260,1494,1283,1496);
ctx.bezierCurveTo(1306,1497,1366,1501,1415,1505);
ctx.bezierCurveTo(1521,1512,1507,1512,1640,1509);
ctx.bezierCurveTo(1698,1507,1747,1504,1750,1501);
ctx.bezierCurveTo(1753,1498,1765,1489,1778,1482);
ctx.bezierCurveTo(1818,1460,1804,1491,1753,1537);
ctx.bezierCurveTo(1726,1561,1702,1580,1699,1580);
ctx.bezierCurveTo(1696,1580,1693,1594,1693,1611);
ctx.bezierCurveTo(1693,1628,1688,1645,1681,1649);
ctx.bezierCurveTo(1675,1653,1672,1663,1675,1671);
ctx.bezierCurveTo(1678,1679,1668,1699,1654,1715);
ctx.bezierCurveTo(1639,1732,1610,1769,1588,1798);
ctx.bezierCurveTo(1567,1826,1544,1850,1538,1850);
ctx.bezierCurveTo(1531,1850,1529,1864,1533,1891);
ctx.bezierCurveTo(1536,1915,1533,1942,1525,1958);
ctx.bezierCurveTo(1495,2019,1462,2126,1453,2195);
ctx.bezierCurveTo(1450,2217,1441,2244,1434,2255);
ctx.bezierCurveTo(1426,2267,1422,2291,1425,2310);
ctx.bezierCurveTo(1428,2332,1422,2361,1411,2385);
ctx.bezierCurveTo(1387,2435,1378,2477,1388,2484);
ctx.bezierCurveTo(1397,2490,1396,2567,1386,2597);
ctx.bezierCurveTo(1382,2611,1384,2631,1393,2647);
ctx.bezierCurveTo(1428,2715,1447,2780,1445,2826);
ctx.bezierCurveTo(1443,2868,1457,2914,1487,2971);
ctx.bezierCurveTo(1497,2989,1459,2985,1434,2965);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var mesetas  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1437,2735);
ctx.bezierCurveTo(1428,2715,1420,2693,1420,2685);
ctx.bezierCurveTo(1420,2678,1412,2659,1403,2642);
ctx.bezierCurveTo(1392,2624,1389,2607,1395,2594);
ctx.bezierCurveTo(1406,2568,1407,2490,1397,2483);
ctx.bezierCurveTo(1386,2476,1399,2419,1416,2399);
ctx.bezierCurveTo(1424,2391,1431,2359,1431,2329);
ctx.bezierCurveTo(1432,2299,1439,2266,1445,2255);
ctx.bezierCurveTo(1452,2244,1460,2217,1463,2195);
ctx.bezierCurveTo(1472,2128,1498,2041,1536,1952);
ctx.bezierCurveTo(1546,1929,1547,1913,1540,1900);
ctx.bezierCurveTo(1530,1882,1538,1869,1620,1772);
ctx.bezierCurveTo(1631,1759,1640,1746,1640,1744);
ctx.bezierCurveTo(1640,1741,1651,1729,1664,1717);
ctx.bezierCurveTo(1677,1705,1686,1687,1684,1678);
ctx.bezierCurveTo(1683,1668,1685,1660,1690,1660);
ctx.bezierCurveTo(1700,1660,1713,1621,1710,1598);
ctx.bezierCurveTo(1709,1588,1713,1580,1719,1580);
ctx.bezierCurveTo(1724,1580,1743,1566,1760,1549);
ctx.bezierCurveTo(1777,1532,1793,1520,1795,1522);
ctx.bezierCurveTo(1800,1527,1804,1602,1802,1641);
ctx.bezierCurveTo(1800,1661,1793,1670,1774,1674);
ctx.lineTo(1747,1681);
ctx.lineTo(1769,1704);
ctx.bezierCurveTo(1785,1721,1789,1734,1784,1758);
ctx.bezierCurveTo(1780,1776,1771,1790,1764,1790);
ctx.bezierCurveTo(1756,1790,1750,1794,1750,1799);
ctx.bezierCurveTo(1750,1804,1737,1813,1720,1820);
ctx.bezierCurveTo(1687,1834,1681,1862,1705,1894);
ctx.bezierCurveTo(1730,1928,1724,1943,1688,1937);
ctx.bezierCurveTo(1644,1931,1620,1945,1620,1976);
ctx.bezierCurveTo(1620,1990,1610,2010,1598,2019);
ctx.lineTo(1577,2037);
ctx.lineTo(1609,2048);
ctx.bezierCurveTo(1639,2059,1641,2062,1635,2090);
ctx.bezierCurveTo(1630,2113,1632,2120,1644,2120);
ctx.bezierCurveTo(1664,2120,1693,2161,1680,2174);
ctx.bezierCurveTo(1674,2180,1678,2194,1691,2212);
ctx.bezierCurveTo(1709,2236,1710,2245,1700,2275);
ctx.bezierCurveTo(1685,2321,1695,2350,1726,2350);
ctx.bezierCurveTo(1739,2350,1750,2346,1750,2340);
ctx.bezierCurveTo(1750,2335,1755,2330,1760,2330);
ctx.bezierCurveTo(1766,2330,1770,2339,1770,2349);
ctx.bezierCurveTo(1770,2360,1775,2372,1780,2375);
ctx.bezierCurveTo(1786,2379,1788,2391,1785,2401);
ctx.bezierCurveTo(1781,2412,1784,2427,1790,2435);
ctx.bezierCurveTo(1805,2453,1796,2480,1775,2480);
ctx.bezierCurveTo(1758,2480,1736,2526,1746,2541);
ctx.bezierCurveTo(1754,2554,1712,2610,1694,2610);
ctx.bezierCurveTo(1686,2610,1677,2617,1673,2626);
ctx.bezierCurveTo(1669,2637,1659,2640,1639,2636);
ctx.bezierCurveTo(1609,2630,1597,2641,1595,2675);
ctx.bezierCurveTo(1590,2754,1591,2752,1568,2744);
ctx.bezierCurveTo(1555,2741,1538,2731,1529,2724);
ctx.bezierCurveTo(1504,2701,1482,2707,1478,2737);
ctx.bezierCurveTo(1474,2776,1456,2775,1437,2735);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var vistahermosa  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1910,2303);
ctx.bezierCurveTo(1902,2300,1893,2294,1890,2290);
ctx.bezierCurveTo(1877,2272,1812,2250,1773,2250);
ctx.bezierCurveTo(1714,2250,1677,2213,1686,2163);
ctx.bezierCurveTo(1690,2141,1688,2130,1680,2130);
ctx.bezierCurveTo(1660,2130,1641,2103,1647,2081);
ctx.bezierCurveTo(1651,2065,1646,2058,1626,2050);
ctx.bezierCurveTo(1596,2039,1593,2028,1615,2010);
ctx.bezierCurveTo(1623,2003,1630,1984,1630,1968);
ctx.bezierCurveTo(1630,1940,1632,1939,1668,1940);
ctx.bezierCurveTo(1729,1943,1732,1942,1725,1918);
ctx.bezierCurveTo(1721,1905,1711,1890,1703,1883);
ctx.bezierCurveTo(1686,1870,1694,1830,1713,1830);
ctx.bezierCurveTo(1737,1829,1788,1774,1795,1743);
ctx.bezierCurveTo(1801,1714,1799,1710,1781,1710);
ctx.bezierCurveTo(1767,1710,1762,1705,1766,1695);
ctx.bezierCurveTo(1770,1687,1778,1680,1785,1680);
ctx.bezierCurveTo(1808,1680,1820,1625,1810,1564);
ctx.bezierCurveTo(1800,1503,1803,1490,1826,1490);
ctx.bezierCurveTo(1834,1490,1840,1486,1840,1481);
ctx.bezierCurveTo(1840,1476,1858,1476,1882,1481);
ctx.bezierCurveTo(1905,1487,1930,1488,1937,1486);
ctx.bezierCurveTo(1945,1483,1949,1484,1946,1489);
ctx.bezierCurveTo(1943,1493,2020,1518,2117,1544);
ctx.bezierCurveTo(2213,1570,2299,1594,2308,1597);
ctx.bezierCurveTo(2319,1602,2322,1599,2317,1587);
ctx.bezierCurveTo(2313,1575,2316,1570,2326,1570);
ctx.bezierCurveTo(2336,1570,2340,1564,2337,1556);
ctx.bezierCurveTo(2333,1547,2340,1540,2356,1536);
ctx.bezierCurveTo(2380,1530,2383,1521,2384,1455);
ctx.bezierCurveTo(2385,1433,2389,1426,2401,1428);
ctx.bezierCurveTo(2429,1432,2453,1394,2452,1348);
ctx.bezierCurveTo(2449,1278,2465,1243,2503,1237);
ctx.bezierCurveTo(2521,1235,2537,1236,2540,1240);
ctx.bezierCurveTo(2547,1250,2620,1240,2620,1229);
ctx.bezierCurveTo(2620,1224,2627,1220,2636,1220);
ctx.bezierCurveTo(2653,1220,2680,1243,2680,1257);
ctx.bezierCurveTo(2680,1262,2696,1273,2715,1282);
ctx.bezierCurveTo(2734,1290,2750,1293,2750,1288);
ctx.bezierCurveTo(2750,1283,2763,1281,2780,1285);
ctx.bezierCurveTo(2803,1290,2810,1288,2810,1276);
ctx.bezierCurveTo(2810,1253,2831,1256,2837,1280);
ctx.bezierCurveTo(2840,1291,2846,1298,2849,1295);
ctx.bezierCurveTo(2853,1293,2857,1298,2857,1306);
ctx.bezierCurveTo(2857,1314,2838,1334,2815,1350);
ctx.bezierCurveTo(2791,1366,2770,1387,2766,1396);
ctx.bezierCurveTo(2762,1407,2753,1410,2737,1407);
ctx.bezierCurveTo(2725,1404,2706,1408,2696,1416);
ctx.bezierCurveTo(2685,1424,2665,1430,2651,1430);
ctx.bezierCurveTo(2600,1430,2566,1516,2584,1597);
ctx.bezierCurveTo(2588,1615,2587,1631,2581,1634);
ctx.bezierCurveTo(2576,1638,2574,1656,2577,1675);
ctx.bezierCurveTo(2582,1709,2581,1711,2541,1727);
ctx.bezierCurveTo(2519,1736,2500,1749,2500,1757);
ctx.bezierCurveTo(2500,1764,2495,1770,2488,1770);
ctx.bezierCurveTo(2467,1770,2409,1822,2414,1836);
ctx.bezierCurveTo(2417,1844,2414,1847,2404,1843);
ctx.bezierCurveTo(2397,1840,2390,1843,2390,1849);
ctx.bezierCurveTo(2390,1855,2383,1860,2375,1860);
ctx.bezierCurveTo(2367,1860,2360,1863,2360,1868);
ctx.bezierCurveTo(2361,1881,2387,1910,2398,1910);
ctx.bezierCurveTo(2404,1910,2410,1920,2412,1932);
ctx.bezierCurveTo(2414,1948,2424,1956,2444,1960);
ctx.bezierCurveTo(2461,1963,2473,1968,2471,1973);
ctx.bezierCurveTo(2470,1977,2471,1998,2475,2020);
ctx.bezierCurveTo(2480,2051,2477,2067,2461,2093);
ctx.bezierCurveTo(2450,2110,2438,2124,2435,2123);
ctx.bezierCurveTo(2415,2113,2409,2123,2415,2158);
ctx.bezierCurveTo(2421,2197,2421,2197,2376,2214);
ctx.bezierCurveTo(2352,2223,2325,2230,2318,2229);
ctx.bezierCurveTo(2311,2227,2280,2234,2248,2243);
ctx.bezierCurveTo(2217,2252,2180,2260,2167,2260);
ctx.bezierCurveTo(2153,2260,2126,2269,2106,2280);
ctx.bezierCurveTo(2072,2301,1943,2316,1910,2303);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var sanjuanarama  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1717,2639);
ctx.bezierCurveTo(1713,2626,1719,2607,1731,2591);
ctx.bezierCurveTo(1742,2576,1753,2548,1755,2529);
ctx.bezierCurveTo(1758,2511,1764,2494,1768,2492);
ctx.bezierCurveTo(1773,2491,1786,2483,1796,2476);
ctx.bezierCurveTo(1812,2464,1813,2459,1801,2437);
ctx.bezierCurveTo(1794,2423,1791,2407,1795,2401);
ctx.bezierCurveTo(1799,2394,1796,2383,1790,2375);
ctx.bezierCurveTo(1784,2367,1781,2356,1785,2351);
ctx.bezierCurveTo(1792,2338,1773,2300,1760,2300);
ctx.bezierCurveTo(1755,2300,1748,2311,1744,2325);
ctx.bezierCurveTo(1739,2346,1735,2348,1719,2339);
ctx.bezierCurveTo(1699,2329,1694,2299,1709,2271);
ctx.bezierCurveTo(1717,2256,1728,2255,1796,2261);
ctx.bezierCurveTo(1851,2267,1876,2273,1883,2285);
ctx.bezierCurveTo(1896,2308,1939,2323,1956,2310);
ctx.bezierCurveTo(1965,2302,1975,2302,1990,2310);
ctx.bezierCurveTo(2006,2319,2015,2319,2023,2311);
ctx.bezierCurveTo(2029,2305,2045,2300,2057,2300);
ctx.bezierCurveTo(2070,2300,2092,2293,2106,2283);
ctx.bezierCurveTo(2120,2274,2146,2266,2163,2265);
ctx.bezierCurveTo(2211,2263,2273,2249,2289,2236);
ctx.bezierCurveTo(2300,2228,2304,2228,2307,2237);
ctx.bezierCurveTo(2310,2246,2326,2242,2361,2225);
ctx.bezierCurveTo(2407,2201,2411,2201,2417,2217);
ctx.bezierCurveTo(2420,2227,2425,2238,2427,2243);
ctx.bezierCurveTo(2430,2247,2412,2259,2387,2270);
ctx.bezierCurveTo(2361,2281,2339,2300,2332,2315);
ctx.bezierCurveTo(2325,2329,2315,2338,2309,2335);
ctx.bezierCurveTo(2304,2331,2288,2339,2276,2352);
ctx.bezierCurveTo(2219,2408,2193,2428,2167,2434);
ctx.bezierCurveTo(2151,2438,2120,2458,2097,2479);
ctx.bezierCurveTo(2074,2500,2045,2522,2033,2529);
ctx.bezierCurveTo(2021,2535,2013,2546,2016,2553);
ctx.bezierCurveTo(2021,2566,1938,2600,1899,2600);
ctx.bezierCurveTo(1886,2600,1855,2612,1830,2626);
ctx.bezierCurveTo(1768,2662,1724,2667,1717,2639);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var lejanias  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1476,3023);
ctx.bezierCurveTo(1479,3007,1484,2989,1486,2982);
ctx.bezierCurveTo(1488,2974,1483,2948,1475,2924);
ctx.bezierCurveTo(1463,2889,1463,2876,1472,2861);
ctx.bezierCurveTo(1481,2847,1481,2835,1473,2818);
ctx.bezierCurveTo(1465,2800,1466,2790,1476,2775);
ctx.bezierCurveTo(1484,2765,1488,2748,1484,2738);
ctx.bezierCurveTo(1477,2713,1516,2714,1529,2738);
ctx.bezierCurveTo(1536,2752,1547,2756,1569,2752);
ctx.bezierCurveTo(1597,2748,1599,2744,1606,2694);
ctx.bezierCurveTo(1612,2642,1613,2641,1641,2647);
ctx.bezierCurveTo(1662,2651,1671,2648,1676,2636);
ctx.bezierCurveTo(1685,2613,1699,2616,1710,2645);
ctx.bezierCurveTo(1718,2666,1725,2670,1752,2666);
ctx.bezierCurveTo(1771,2664,1802,2652,1822,2640);
ctx.bezierCurveTo(1843,2628,1865,2622,1871,2626);
ctx.bezierCurveTo(1878,2630,1880,2629,1877,2623);
ctx.bezierCurveTo(1873,2617,1883,2610,1900,2608);
ctx.bezierCurveTo(1927,2604,1930,2606,1930,2631);
ctx.bezierCurveTo(1930,2662,1896,2689,1844,2697);
ctx.bezierCurveTo(1820,2701,1810,2708,1810,2720);
ctx.bezierCurveTo(1810,2730,1790,2758,1765,2783);
ctx.bezierCurveTo(1733,2816,1720,2838,1717,2864);
ctx.bezierCurveTo(1715,2884,1710,2903,1707,2907);
ctx.bezierCurveTo(1703,2910,1700,2926,1700,2941);
ctx.bezierCurveTo(1700,2959,1691,2974,1673,2986);
ctx.bezierCurveTo(1645,3005,1629,3009,1558,3013);
ctx.bezierCurveTo(1538,3014,1513,3023,1503,3033);
ctx.bezierCurveTo(1476,3057,1469,3054,1476,3023);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var cubarral  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1480,3309);
ctx.bezierCurveTo(1480,3283,1435,3204,1403,3172);
ctx.bezierCurveTo(1385,3154,1370,3135,1370,3130);
ctx.bezierCurveTo(1370,3126,1367,3120,1363,3117);
ctx.bezierCurveTo(1358,3115,1361,3115,1368,3116);
ctx.bezierCurveTo(1374,3118,1381,3113,1382,3105);
ctx.bezierCurveTo(1382,3097,1383,3085,1384,3078);
ctx.bezierCurveTo(1385,3072,1373,3066,1358,3066);
ctx.bezierCurveTo(1307,3063,1255,2981,1286,2952);
ctx.bezierCurveTo(1301,2939,1406,2946,1426,2961);
ctx.bezierCurveTo(1432,2966,1441,2966,1445,2962);
ctx.bezierCurveTo(1450,2958,1450,2960,1447,2966);
ctx.bezierCurveTo(1443,2973,1447,2981,1456,2984);
ctx.bezierCurveTo(1468,2989,1471,2998,1466,3020);
ctx.bezierCurveTo(1460,3054,1478,3061,1505,3034);
ctx.bezierCurveTo(1515,3024,1529,3020,1545,3024);
ctx.bezierCurveTo(1558,3027,1572,3025,1575,3019);
ctx.bezierCurveTo(1579,3013,1598,3010,1619,3012);
ctx.bezierCurveTo(1647,3014,1655,3012,1654,2999);
ctx.bezierCurveTo(1653,2990,1660,2983,1668,2984);
ctx.bezierCurveTo(1677,2984,1690,2973,1698,2958);
ctx.bezierCurveTo(1709,2935,1718,2930,1746,2930);
ctx.bezierCurveTo(1773,2930,1783,2935,1787,2950);
ctx.bezierCurveTo(1794,2975,1820,2983,1875,2974);
ctx.bezierCurveTo(1904,2970,1920,2971,1920,2978);
ctx.bezierCurveTo(1920,2997,1956,3001,1986,2985);
ctx.bezierCurveTo(2023,2966,2046,2966,2054,2985);
ctx.bezierCurveTo(2057,2993,2066,3000,2075,3000);
ctx.bezierCurveTo(2095,3000,2094,3033,2073,3053);
ctx.bezierCurveTo(2063,3063,2033,3088,2006,3109);
ctx.bezierCurveTo(1960,3146,1954,3148,1891,3148);
ctx.bezierCurveTo(1854,3147,1801,3152,1774,3158);
ctx.bezierCurveTo(1747,3164,1689,3177,1646,3187);
ctx.bezierCurveTo(1589,3199,1566,3208,1563,3221);
ctx.bezierCurveTo(1560,3231,1552,3241,1544,3244);
ctx.bezierCurveTo(1536,3247,1530,3254,1530,3260);
ctx.bezierCurveTo(1530,3266,1519,3282,1505,3296);
ctx.bezierCurveTo(1491,3310,1480,3315,1480,3309);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var castillo  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1818,2973);
ctx.bezierCurveTo(1808,2971,1800,2962,1800,2955);
ctx.bezierCurveTo(1800,2935,1765,2918,1737,2926);
ctx.bezierCurveTo(1720,2930,1711,2927,1707,2916);
ctx.bezierCurveTo(1703,2907,1706,2901,1712,2903);
ctx.bezierCurveTo(1719,2904,1725,2898,1726,2890);
ctx.bezierCurveTo(1726,2882,1728,2866,1729,2855);
ctx.bezierCurveTo(1730,2844,1751,2813,1775,2786);
ctx.bezierCurveTo(1800,2759,1820,2732,1820,2726);
ctx.bezierCurveTo(1820,2696,1977,2670,2042,2689);
ctx.lineTo(2081,2701);
ctx.lineTo(2076,2775);
ctx.bezierCurveTo(2074,2816,2069,2853,2066,2858);
ctx.bezierCurveTo(2063,2863,2043,2864,2021,2860);
ctx.bezierCurveTo(1989,2854,1979,2857,1966,2872);
ctx.bezierCurveTo(1957,2882,1942,2890,1933,2890);
ctx.bezierCurveTo(1902,2891,1877,2916,1885,2939);
ctx.bezierCurveTo(1890,2955,1886,2962,1865,2970);
ctx.bezierCurveTo(1851,2975,1838,2979,1837,2979);
ctx.bezierCurveTo(1836,2978,1827,2976,1818,2973);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var granada  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2097,2843);
ctx.bezierCurveTo(2082,2839,2080,2829,2084,2769);
ctx.lineTo(2088,2699);
ctx.lineTo(2053,2685);
ctx.bezierCurveTo(2033,2677,1998,2670,1974,2670);
ctx.bezierCurveTo(1931,2670,1930,2669,1936,2643);
ctx.bezierCurveTo(1945,2604,1957,2592,1990,2585);
ctx.bezierCurveTo(2006,2581,2022,2570,2025,2560);
ctx.bezierCurveTo(2028,2550,2042,2535,2055,2526);
ctx.bezierCurveTo(2077,2511,2080,2512,2094,2531);
ctx.bezierCurveTo(2102,2543,2106,2558,2104,2565);
ctx.bezierCurveTo(2101,2572,2112,2588,2129,2601);
ctx.bezierCurveTo(2146,2613,2157,2627,2155,2631);
ctx.bezierCurveTo(2152,2635,2161,2658,2175,2682);
ctx.bezierCurveTo(2205,2733,2206,2754,2182,2772);
ctx.bezierCurveTo(2172,2779,2157,2800,2149,2818);
ctx.bezierCurveTo(2135,2850,2131,2852,2097,2843);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var fuenteoro  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2186,2687);
ctx.bezierCurveTo(2175,2664,2166,2639,2166,2632);
ctx.bezierCurveTo(2165,2625,2152,2609,2137,2596);
ctx.bezierCurveTo(2122,2583,2110,2565,2110,2556);
ctx.bezierCurveTo(2110,2547,2104,2530,2098,2519);
ctx.bezierCurveTo(2086,2501,2089,2496,2115,2475);
ctx.bezierCurveTo(2131,2461,2156,2448,2171,2445);
ctx.bezierCurveTo(2185,2442,2210,2426,2225,2410);
ctx.bezierCurveTo(2259,2374,2271,2372,2267,2403);
ctx.bezierCurveTo(2265,2423,2269,2425,2307,2422);
ctx.bezierCurveTo(2334,2420,2357,2424,2372,2434);
ctx.bezierCurveTo(2400,2454,2429,2455,2436,2435);
ctx.bezierCurveTo(2441,2424,2447,2423,2462,2431);
ctx.bezierCurveTo(2481,2441,2481,2445,2470,2518);
ctx.bezierCurveTo(2470,2519,2466,2520,2460,2520);
ctx.bezierCurveTo(2455,2520,2442,2528,2431,2539);
ctx.bezierCurveTo(2419,2551,2403,2556,2388,2553);
ctx.bezierCurveTo(2369,2549,2353,2559,2317,2595);
ctx.bezierCurveTo(2291,2621,2270,2648,2270,2655);
ctx.bezierCurveTo(2270,2669,2223,2730,2212,2730);
ctx.bezierCurveTo(2208,2730,2196,2711,2186,2687);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var puertolleras  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2550,2641);
ctx.bezierCurveTo(2545,2630,2540,2616,2540,2609);
ctx.bezierCurveTo(2540,2602,2533,2589,2524,2579);
ctx.bezierCurveTo(2516,2570,2507,2551,2505,2538);
ctx.bezierCurveTo(2499,2502,2483,2443,2476,2431);
ctx.bezierCurveTo(2467,2417,2430,2416,2430,2430);
ctx.bezierCurveTo(2430,2446,2394,2442,2379,2424);
ctx.bezierCurveTo(2370,2413,2353,2409,2323,2412);
ctx.bezierCurveTo(2276,2415,2274,2414,2295,2386);
ctx.bezierCurveTo(2303,2376,2307,2363,2304,2359);
ctx.bezierCurveTo(2302,2355,2308,2346,2319,2341);
ctx.bezierCurveTo(2330,2335,2341,2322,2344,2313);
ctx.bezierCurveTo(2347,2303,2370,2286,2395,2275);
ctx.bezierCurveTo(2433,2259,2439,2252,2433,2235);
ctx.bezierCurveTo(2429,2224,2424,2197,2420,2175);
ctx.bezierCurveTo(2415,2138,2417,2132,2453,2098);
ctx.bezierCurveTo(2482,2070,2490,2055,2485,2043);
ctx.bezierCurveTo(2471,2009,2472,1980,2487,1965);
ctx.bezierCurveTo(2503,1948,2540,1945,2540,1959);
ctx.bezierCurveTo(2540,1982,2802,2150,2837,2150);
ctx.bezierCurveTo(2842,2150,2874,2125,2910,2095);
ctx.bezierCurveTo(2976,2038,3001,2030,3034,2055);
ctx.bezierCurveTo(3052,2068,3056,2068,3075,2050);
ctx.bezierCurveTo(3087,2039,3104,2033,3115,2036);
ctx.bezierCurveTo(3132,2040,3135,2049,3134,2103);
ctx.bezierCurveTo(3134,2137,3130,2175,3126,2188);
ctx.bezierCurveTo(3121,2202,3124,2215,3134,2225);
ctx.bezierCurveTo(3144,2236,3148,2255,3146,2288);
ctx.bezierCurveTo(3144,2314,3146,2342,3150,2350);
ctx.bezierCurveTo(3157,2363,3144,2365,3059,2365);
ctx.bezierCurveTo(2995,2365,2956,2370,2948,2378);
ctx.bezierCurveTo(2942,2384,2928,2390,2919,2390);
ctx.bezierCurveTo(2909,2390,2899,2399,2895,2409);
ctx.bezierCurveTo(2892,2420,2883,2431,2875,2434);
ctx.bezierCurveTo(2867,2437,2860,2445,2860,2452);
ctx.bezierCurveTo(2860,2459,2837,2472,2808,2480);
ctx.bezierCurveTo(2765,2493,2754,2501,2737,2533);
ctx.bezierCurveTo(2727,2553,2712,2570,2706,2570);
ctx.bezierCurveTo(2699,2570,2688,2580,2681,2593);
ctx.bezierCurveTo(2670,2613,2593,2660,2570,2660);
ctx.bezierCurveTo(2565,2660,2556,2651,2550,2641);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};



var puertorico  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2759,2106);
ctx.bezierCurveTo(2690,2072,2577,1991,2549,1957);
ctx.bezierCurveTo(2536,1941,2527,1939,2504,1946);
ctx.bezierCurveTo(2446,1962,2426,1957,2399,1917);
ctx.lineTo(2373,1878);
ctx.lineTo(2420,1829);
ctx.bezierCurveTo(2446,1802,2471,1780,2477,1780);
ctx.bezierCurveTo(2482,1780,2497,1769,2510,1755);
ctx.bezierCurveTo(2523,1741,2544,1730,2557,1730);
ctx.bezierCurveTo(2572,1730,2581,1724,2582,1713);
ctx.bezierCurveTo(2582,1703,2584,1682,2586,1665);
ctx.bezierCurveTo(2590,1629,2590,1610,2589,1547);
ctx.bezierCurveTo(2589,1501,2621,1433,2638,1444);
ctx.bezierCurveTo(2642,1446,2663,1440,2684,1429);
ctx.bezierCurveTo(2713,1415,2727,1413,2737,1421);
ctx.bezierCurveTo(2750,1433,2754,1424,2751,1390);
ctx.bezierCurveTo(2749,1377,2750,1377,2759,1390);
ctx.bezierCurveTo(2767,1402,2773,1400,2792,1379);
ctx.bezierCurveTo(2817,1350,2846,1336,2872,1339);
ctx.bezierCurveTo(2881,1340,2891,1337,2894,1331);
ctx.bezierCurveTo(2904,1316,2982,1330,3017,1354);
ctx.bezierCurveTo(3037,1367,3052,1387,3056,1405);
ctx.bezierCurveTo(3059,1422,3066,1440,3070,1445);
ctx.bezierCurveTo(3084,1463,3230,1777,3230,1789);
ctx.bezierCurveTo(3230,1795,3219,1802,3205,1806);
ctx.bezierCurveTo(3187,1810,3180,1819,3180,1836);
ctx.bezierCurveTo(3180,1849,3175,1860,3169,1860);
ctx.bezierCurveTo(3163,1860,3160,1867,3163,1874);
ctx.bezierCurveTo(3167,1885,3164,1887,3153,1883);
ctx.bezierCurveTo(3142,1879,3139,1880,3144,1889);
ctx.bezierCurveTo(3148,1895,3145,1911,3137,1923);
ctx.bezierCurveTo(3130,1935,3124,1962,3124,1983);
ctx.bezierCurveTo(3125,2012,3122,2020,3108,2020);
ctx.bezierCurveTo(3099,2020,3082,2030,3071,2042);
ctx.bezierCurveTo(3052,2062,3049,2062,3032,2047);
ctx.bezierCurveTo(3002,2019,2978,2027,2910,2085);
ctx.bezierCurveTo(2874,2115,2841,2140,2835,2140);
ctx.bezierCurveTo(2830,2139,2795,2124,2759,2106);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var dorado  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1914,3032);
ctx.bezierCurveTo(1899,3022,1872,2963,1862,2914);
ctx.bezierCurveTo(1853,2875,1854,2872,1883,2855);
ctx.bezierCurveTo(1903,2843,1942,2835,1992,2832);
ctx.lineTo(2070,2827);
ctx.lineTo(2071,2861);
ctx.bezierCurveTo(2072,2880,2074,2887,2077,2877);
ctx.bezierCurveTo(2081,2863,2085,2861,2096,2871);
ctx.bezierCurveTo(2121,2892,2111,2914,2047,2978);
ctx.bezierCurveTo(1998,3026,1977,3040,1954,3040);
ctx.bezierCurveTo(1938,3040,1920,3036,1914,3032);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var sanmartin  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(3375,3120);
ctx.bezierCurveTo(3372,3115,3360,3110,3349,3110);
ctx.bezierCurveTo(3338,3110,3326,3100,3321,3087);
ctx.bezierCurveTo(3316,3075,3296,3051,3276,3034);
ctx.bezierCurveTo(3256,3017,3240,2999,3240,2994);
ctx.bezierCurveTo(3240,2989,3222,2984,3199,2983);
ctx.bezierCurveTo(3174,2982,3146,2972,3127,2957);
ctx.bezierCurveTo(3109,2944,3087,2931,3077,2927);
ctx.bezierCurveTo(3065,2922,3060,2912,3062,2898);
ctx.bezierCurveTo(3064,2883,3056,2868,3042,2856);
ctx.bezierCurveTo(3022,2840,3015,2839,2994,2850);
ctx.bezierCurveTo(2981,2858,2970,2872,2970,2882);
ctx.bezierCurveTo(2970,2894,2963,2900,2946,2900);
ctx.bezierCurveTo(2917,2900,2898,2917,2880,2959);
ctx.bezierCurveTo(2864,2998,2854,2998,2832,2961);
ctx.bezierCurveTo(2809,2921,2766,2896,2751,2914);
ctx.bezierCurveTo(2743,2923,2709,2927,2633,2928);
ctx.bezierCurveTo(2573,2929,2509,2934,2490,2940);
ctx.bezierCurveTo(2471,2945,2433,2950,2406,2950);
ctx.bezierCurveTo(2373,2950,2346,2957,2321,2972);
ctx.bezierCurveTo(2302,2984,2280,2996,2273,2997);
ctx.bezierCurveTo(2266,2999,2254,3001,2248,3003);
ctx.bezierCurveTo(2241,3004,2229,3009,2223,3013);
ctx.bezierCurveTo(2216,3018,2206,3019,2201,3015);
ctx.bezierCurveTo(2196,3012,2189,3014,2186,3019);
ctx.bezierCurveTo(2183,3023,2168,3030,2153,3033);
ctx.bezierCurveTo(2137,3036,2117,3042,2108,3045);
ctx.bezierCurveTo(2092,3051,2091,3048,2097,3019);
ctx.bezierCurveTo(2102,2990,2101,2987,2083,2992);
ctx.bezierCurveTo(2054,3000,2036,2967,2052,2937);
ctx.bezierCurveTo(2058,2925,2066,2902,2070,2885);
ctx.bezierCurveTo(2076,2859,2080,2855,2108,2857);
ctx.bezierCurveTo(2135,2860,2141,2855,2156,2825);
ctx.bezierCurveTo(2165,2806,2192,2768,2217,2742);
ctx.bezierCurveTo(2241,2716,2270,2678,2281,2657);
ctx.bezierCurveTo(2309,2604,2359,2561,2393,2560);
ctx.bezierCurveTo(2409,2560,2436,2549,2454,2535);
ctx.bezierCurveTo(2489,2508,2500,2511,2500,2545);
ctx.bezierCurveTo(2500,2558,2507,2573,2515,2580);
ctx.bezierCurveTo(2523,2587,2530,2600,2530,2610);
ctx.bezierCurveTo(2530,2620,2538,2638,2549,2651);
ctx.lineTo(2567,2674);
ctx.lineTo(2621,2648);
ctx.bezierCurveTo(2651,2634,2682,2613,2690,2601);
ctx.bezierCurveTo(2698,2589,2708,2580,2713,2580);
ctx.bezierCurveTo(2725,2580,2750,2553,2744,2547);
ctx.bezierCurveTo(2730,2533,2768,2501,2813,2489);
ctx.bezierCurveTo(2845,2480,2865,2469,2868,2458);
ctx.bezierCurveTo(2870,2448,2878,2440,2885,2440);
ctx.bezierCurveTo(2892,2440,2900,2430,2903,2419);
ctx.bezierCurveTo(2907,2405,2914,2399,2924,2403);
ctx.bezierCurveTo(2932,2406,2941,2402,2944,2394);
ctx.bezierCurveTo(2947,2387,2960,2380,2972,2380);
ctx.bezierCurveTo(2985,2380,3025,2377,3063,2374);
ctx.bezierCurveTo(3102,2370,3135,2372,3143,2377);
ctx.bezierCurveTo(3149,2383,3182,2386,3214,2384);
ctx.bezierCurveTo(3247,2382,3279,2385,3286,2391);
ctx.bezierCurveTo(3294,2398,3305,2398,3316,2392);
ctx.bezierCurveTo(3333,2382,3390,2403,3390,2420);
ctx.bezierCurveTo(3390,2424,3396,2428,3403,2427);
ctx.bezierCurveTo(3441,2426,3460,2432,3460,2445);
ctx.bezierCurveTo(3460,2453,3469,2460,3481,2460);
ctx.bezierCurveTo(3492,2460,3510,2465,3521,2470);
ctx.bezierCurveTo(3534,2478,3540,2477,3540,2470);
ctx.bezierCurveTo(3540,2453,3624,2463,3643,2481);
ctx.bezierCurveTo(3651,2490,3672,2503,3689,2510);
ctx.bezierCurveTo(3708,2517,3720,2530,3720,2541);
ctx.bezierCurveTo(3720,2551,3726,2563,3734,2567);
ctx.bezierCurveTo(3754,2578,3793,2648,3786,2659);
ctx.bezierCurveTo(3782,2664,3789,2675,3800,2683);
ctx.bezierCurveTo(3815,2694,3819,2704,3814,2727);
ctx.bezierCurveTo(3810,2749,3812,2759,3823,2763);
ctx.bezierCurveTo(3842,2770,3886,2863,3881,2884);
ctx.bezierCurveTo(3880,2889,3882,2900,3886,2909);
ctx.bezierCurveTo(3889,2918,3893,2940,3895,2958);
ctx.bezierCurveTo(3897,2987,3895,2990,3876,2984);
ctx.bezierCurveTo(3864,2980,3852,2973,3849,2969);
ctx.bezierCurveTo(3840,2954,3790,2963,3773,2982);
ctx.bezierCurveTo(3764,2992,3744,3000,3729,3000);
ctx.bezierCurveTo(3714,3000,3698,3005,3695,3010);
ctx.bezierCurveTo(3692,3016,3681,3020,3671,3020);
ctx.bezierCurveTo(3661,3020,3647,3027,3640,3035);
ctx.bezierCurveTo(3628,3050,3574,3080,3559,3080);
ctx.bezierCurveTo(3555,3080,3539,3085,3523,3091);
ctx.bezierCurveTo(3496,3102,3479,3106,3427,3113);
ctx.bezierCurveTo(3414,3115,3399,3119,3393,3123);
ctx.bezierCurveTo(3386,3127,3379,3126,3375,3120);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var puertoconcordia  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(3242,2004);
ctx.bezierCurveTo(3235,1978,3231,1955,3234,1953);
ctx.bezierCurveTo(3242,1944,3206,1910,3188,1910);
ctx.bezierCurveTo(3163,1910,3156,1891,3174,1871);
ctx.bezierCurveTo(3183,1861,3190,1846,3190,1837);
ctx.bezierCurveTo(3190,1828,3201,1818,3215,1814);
ctx.bezierCurveTo(3229,1811,3240,1801,3240,1793);
ctx.bezierCurveTo(3240,1785,3206,1708,3165,1623);
ctx.bezierCurveTo(3124,1537,3090,1465,3090,1464);
ctx.bezierCurveTo(3090,1462,3097,1460,3105,1460);
ctx.bezierCurveTo(3113,1460,3120,1469,3120,1480);
ctx.bezierCurveTo(3120,1491,3126,1500,3133,1500);
ctx.bezierCurveTo(3141,1500,3167,1513,3191,1530);
ctx.bezierCurveTo(3245,1566,3252,1567,3286,1535);
ctx.bezierCurveTo(3321,1502,3346,1503,3364,1539);
ctx.bezierCurveTo(3390,1588,3421,1588,3434,1538);
ctx.bezierCurveTo(3442,1504,3460,1501,3460,1533);
ctx.bezierCurveTo(3460,1577,3506,1599,3512,1558);
ctx.bezierCurveTo(3516,1526,3535,1534,3536,1568);
ctx.bezierCurveTo(3537,1607,3557,1650,3575,1650);
ctx.bezierCurveTo(3583,1650,3590,1655,3590,1661);
ctx.bezierCurveTo(3590,1667,3609,1670,3638,1668);
ctx.bezierCurveTo(3681,1665,3685,1667,3685,1688);
ctx.bezierCurveTo(3685,1701,3692,1715,3699,1720);
ctx.bezierCurveTo(3709,1726,3705,1732,3680,1745);
ctx.bezierCurveTo(3650,1760,3645,1761,3635,1747);
ctx.bezierCurveTo(3624,1731,3627,1730,3561,1777);
ctx.bezierCurveTo(3547,1787,3529,1803,3519,1814);
ctx.bezierCurveTo(3509,1824,3497,1829,3491,1825);
ctx.bezierCurveTo(3485,1822,3477,1826,3474,1834);
ctx.bezierCurveTo(3471,1843,3462,1850,3454,1850);
ctx.bezierCurveTo(3446,1850,3439,1855,3439,1860);
ctx.bezierCurveTo(3438,1866,3437,1874,3436,1880);
ctx.bezierCurveTo(3435,1891,3271,2050,3261,2050);
ctx.bezierCurveTo(3257,2050,3249,2029,3242,2004);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var mapiripan  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(4680,2632);
ctx.bezierCurveTo(4666,2623,4654,2612,4652,2608);
ctx.bezierCurveTo(4650,2603,4641,2600,4631,2600);
ctx.bezierCurveTo(4622,2600,4605,2592,4594,2582);
ctx.bezierCurveTo(4583,2572,4569,2565,4562,2568);
ctx.bezierCurveTo(4554,2570,4540,2563,4529,2551);
ctx.bezierCurveTo(4508,2529,4485,2524,4475,2540);
ctx.bezierCurveTo(4467,2552,4387,2545,4382,2532);
ctx.bezierCurveTo(4380,2526,4372,2524,4364,2527);
ctx.bezierCurveTo(4356,2530,4330,2523,4306,2512);
ctx.bezierCurveTo(4282,2500,4251,2488,4237,2485);
ctx.bezierCurveTo(4223,2481,4203,2467,4193,2454);
ctx.bezierCurveTo(4183,2441,4168,2430,4159,2430);
ctx.bezierCurveTo(4150,2430,4118,2419,4088,2406);
ctx.lineTo(4033,2381);
ctx.lineTo(4020,2423);
ctx.bezierCurveTo(4001,2490,3990,2497,3903,2498);
ctx.bezierCurveTo(3831,2499,3825,2500,3798,2529);
ctx.bezierCurveTo(3770,2559,3740,2570,3740,2551);
ctx.bezierCurveTo(3740,2538,3695,2490,3684,2490);
ctx.bezierCurveTo(3679,2490,3659,2479,3639,2466);
ctx.bezierCurveTo(3609,2446,3598,2443,3561,2450);
ctx.bezierCurveTo(3506,2460,3483,2453,3449,2418);
ctx.bezierCurveTo(3432,2402,3418,2394,3414,2401);
ctx.bezierCurveTo(3410,2408,3402,2406,3392,2396);
ctx.bezierCurveTo(3369,2376,3324,2366,3315,2379);
ctx.bezierCurveTo(3311,2387,3303,2387,3290,2380);
ctx.bezierCurveTo(3280,2375,3252,2371,3227,2372);
ctx.bezierCurveTo(3163,2375,3148,2359,3154,2294);
ctx.bezierCurveTo(3158,2255,3155,2236,3144,2226);
ctx.bezierCurveTo(3135,2216,3133,2204,3138,2188);
ctx.bezierCurveTo(3145,2167,3145,2065,3137,1978);
ctx.bezierCurveTo(3133,1930,3148,1910,3183,1917);
ctx.bezierCurveTo(3204,1921,3212,1931,3220,1961);
ctx.bezierCurveTo(3226,1982,3235,2002,3240,2005);
ctx.bezierCurveTo(3246,2008,3250,2024,3250,2041);
ctx.bezierCurveTo(3250,2060,3255,2070,3265,2070);
ctx.bezierCurveTo(3273,2070,3277,2064,3274,2056);
ctx.bezierCurveTo(3271,2049,3281,2035,3297,2025);
ctx.bezierCurveTo(3350,1990,3449,1888,3443,1874);
ctx.bezierCurveTo(3440,1866,3444,1860,3454,1860);
ctx.bezierCurveTo(3463,1860,3470,1856,3470,1850);
ctx.bezierCurveTo(3470,1845,3476,1840,3484,1840);
ctx.bezierCurveTo(3497,1840,3589,1775,3602,1756);
ctx.bezierCurveTo(3607,1748,3616,1749,3629,1757);
ctx.bezierCurveTo(3646,1768,3658,1765,3706,1740);
ctx.bezierCurveTo(3758,1712,3765,1711,3786,1725);
ctx.bezierCurveTo(3798,1733,3811,1748,3814,1758);
ctx.bezierCurveTo(3825,1791,3900,1815,3900,1785);
ctx.bezierCurveTo(3900,1768,3909,1766,3928,1778);
ctx.bezierCurveTo(3935,1783,3938,1794,3934,1803);
ctx.bezierCurveTo(3926,1825,3959,1839,3971,1819);
ctx.bezierCurveTo(3993,1781,4008,1767,4023,1773);
ctx.bezierCurveTo(4038,1779,4038,1781,4023,1808);
ctx.bezierCurveTo(4012,1827,4009,1845,4014,1864);
ctx.bezierCurveTo(4020,1890,4024,1892,4055,1887);
ctx.bezierCurveTo(4078,1883,4090,1886,4094,1896);
ctx.bezierCurveTo(4102,1916,4128,1902,4145,1869);
ctx.bezierCurveTo(4167,1827,4193,1816,4235,1831);
ctx.bezierCurveTo(4262,1841,4272,1841,4284,1831);
ctx.bezierCurveTo(4295,1822,4304,1821,4313,1828);
ctx.bezierCurveTo(4319,1833,4362,1841,4408,1845);
ctx.bezierCurveTo(4468,1850,4490,1856,4490,1866);
ctx.bezierCurveTo(4490,1874,4481,1880,4469,1880);
ctx.bezierCurveTo(4458,1880,4452,1885,4455,1890);
ctx.bezierCurveTo(4462,1901,4500,1903,4524,1894);
ctx.bezierCurveTo(4535,1890,4537,1880,4534,1860);
ctx.bezierCurveTo(4527,1828,4544,1812,4566,1831);
ctx.bezierCurveTo(4582,1844,4582,1886,4567,1908);
ctx.bezierCurveTo(4561,1916,4562,1920,4571,1920);
ctx.bezierCurveTo(4579,1920,4598,1904,4613,1885);
ctx.bezierCurveTo(4644,1846,4660,1841,4660,1870);
ctx.bezierCurveTo(4660,1883,4667,1890,4680,1890);
ctx.bezierCurveTo(4694,1890,4700,1883,4700,1869);
ctx.bezierCurveTo(4700,1858,4696,1852,4690,1855);
ctx.bezierCurveTo(4684,1858,4683,1854,4686,1846);
ctx.bezierCurveTo(4694,1826,4726,1825,4734,1845);
ctx.bezierCurveTo(4737,1853,4751,1860,4765,1860);
ctx.bezierCurveTo(4781,1860,4790,1866,4790,1876);
ctx.bezierCurveTo(4790,1888,4797,1890,4820,1885);
ctx.bezierCurveTo(4839,1881,4850,1882,4850,1889);
ctx.bezierCurveTo(4850,1906,4891,1902,4912,1883);
ctx.bezierCurveTo(4929,1868,4930,1869,4930,1898);
ctx.bezierCurveTo(4930,1916,4933,1930,4936,1930);
ctx.bezierCurveTo(4941,1930,4964,1913,5017,1870);
ctx.bezierCurveTo(5037,1854,5043,1858,5038,1884);
ctx.bezierCurveTo(5032,1915,5059,1929,5077,1905);
ctx.bezierCurveTo(5093,1882,5111,1896,5104,1925);
ctx.bezierCurveTo(5098,1951,5110,1963,5134,1954);
ctx.bezierCurveTo(5144,1950,5150,1936,5150,1919);
ctx.bezierCurveTo(5150,1890,5163,1881,5175,1900);
ctx.bezierCurveTo(5184,1915,5210,1912,5210,1895);
ctx.bezierCurveTo(5210,1879,5236,1885,5258,1907);
ctx.bezierCurveTo(5274,1922,5320,1925,5320,1910);
ctx.bezierCurveTo(5320,1905,5327,1900,5335,1900);
ctx.bezierCurveTo(5343,1900,5350,1905,5350,1910);
ctx.bezierCurveTo(5350,1924,5377,1923,5382,1908);
ctx.bezierCurveTo(5384,1902,5394,1899,5403,1903);
ctx.bezierCurveTo(5418,1909,5420,1936,5420,2202);
ctx.bezierCurveTo(5419,2511,5416,2536,5373,2529);
ctx.bezierCurveTo(5353,2525,5310,2558,5310,2576);
ctx.bezierCurveTo(5310,2596,5281,2613,5240,2616);
ctx.bezierCurveTo(5219,2618,5198,2615,5195,2610);
ctx.bezierCurveTo(5185,2594,5148,2598,5128,2617);
ctx.bezierCurveTo(5101,2641,4992,2652,4963,2634);
ctx.bezierCurveTo(4927,2611,4869,2607,4821,2624);
ctx.bezierCurveTo(4797,2633,4768,2637,4755,2634);
ctx.bezierCurveTo(4742,2631,4729,2633,4726,2639);
ctx.bezierCurveTo(4717,2653,4710,2652,4680,2632);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var puertogaitan  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(5364,4385);
ctx.bezierCurveTo(5347,4377,5330,4364,5327,4355);
ctx.bezierCurveTo(5320,4339,5283,4321,5240,4315);
ctx.bezierCurveTo(5192,4307,5185,4304,5160,4287);
ctx.bezierCurveTo(5147,4278,5126,4270,5115,4270);
ctx.bezierCurveTo(5104,4270,5086,4263,5076,4255);
ctx.bezierCurveTo(5065,4247,5049,4240,5040,4240);
ctx.bezierCurveTo(5030,4240,5011,4229,4996,4215);
ctx.bezierCurveTo(4981,4201,4950,4186,4926,4180);
ctx.bezierCurveTo(4903,4175,4871,4164,4854,4155);
ctx.bezierCurveTo(4838,4147,4821,4140,4817,4140);
ctx.bezierCurveTo(4812,4140,4787,4122,4761,4100);
ctx.bezierCurveTo(4735,4078,4706,4060,4697,4060);
ctx.bezierCurveTo(4689,4060,4678,4056,4675,4050);
ctx.bezierCurveTo(4672,4045,4661,4040,4651,4040);
ctx.bezierCurveTo(4641,4040,4626,4033,4619,4024);
ctx.bezierCurveTo(4609,4012,4595,4009,4560,4014);
ctx.bezierCurveTo(4515,4020,4514,4020,4475,3970);
ctx.bezierCurveTo(4453,3942,4427,3917,4418,3914);
ctx.bezierCurveTo(4408,3911,4400,3903,4400,3895);
ctx.bezierCurveTo(4400,3888,4378,3859,4352,3830);
ctx.bezierCurveTo(4310,3785,4296,3776,4254,3770);
ctx.bezierCurveTo(4220,3765,4199,3766,4185,3776);
ctx.bezierCurveTo(4132,3810,4070,3749,4067,3661);
ctx.bezierCurveTo(4066,3633,4062,3610,4058,3610);
ctx.bezierCurveTo(4053,3610,4050,3599,4050,3585);
ctx.bezierCurveTo(4050,3552,4024,3490,4011,3490);
ctx.bezierCurveTo(4005,3490,4000,3486,4000,3480);
ctx.bezierCurveTo(4000,3475,4005,3470,4011,3470);
ctx.bezierCurveTo(4017,3470,4030,3460,4040,3448);
ctx.bezierCurveTo(4056,3427,4061,3426,4092,3438);
ctx.bezierCurveTo(4111,3444,4129,3450,4132,3450);
ctx.bezierCurveTo(4145,3450,4147,3410,4135,3400);
ctx.bezierCurveTo(4127,3394,4123,3383,4126,3376);
ctx.bezierCurveTo(4129,3369,4124,3357,4115,3350);
ctx.bezierCurveTo(4107,3343,4100,3332,4100,3326);
ctx.bezierCurveTo(4100,3320,4089,3306,4075,3296);
ctx.bezierCurveTo(4056,3282,4053,3274,4061,3264);
ctx.bezierCurveTo(4077,3245,4062,3228,4037,3236);
ctx.bezierCurveTo(4018,3242,4017,3241,4029,3226);
ctx.bezierCurveTo(4041,3212,4041,3207,4028,3192);
ctx.bezierCurveTo(4019,3183,4015,3169,4017,3162);
ctx.bezierCurveTo(4020,3154,4013,3146,4001,3143);
ctx.bezierCurveTo(3989,3140,3980,3134,3980,3129);
ctx.bezierCurveTo(3980,3124,3974,3120,3968,3120);
ctx.bezierCurveTo(3953,3119,3916,3050,3930,3050);
ctx.bezierCurveTo(3942,3050,3933,3007,3914,2968);
ctx.bezierCurveTo(3902,2945,3903,2941,3917,2936);
ctx.bezierCurveTo(3931,2930,3931,2928,3918,2912);
ctx.bezierCurveTo(3895,2886,3889,2852,3907,2848);
ctx.bezierCurveTo(3919,2846,3916,2839,3896,2817);
ctx.bezierCurveTo(3882,2802,3870,2783,3870,2776);
ctx.bezierCurveTo(3870,2768,3861,2760,3850,2757);
ctx.bezierCurveTo(3829,2752,3823,2726,3840,2715);
ctx.bezierCurveTo(3854,2707,3834,2670,3815,2670);
ctx.bezierCurveTo(3807,2670,3803,2662,3805,2650);
ctx.bezierCurveTo(3807,2640,3800,2620,3790,2607);
ctx.bezierCurveTo(3771,2583,3771,2582,3795,2554);
ctx.bezierCurveTo(3809,2538,3820,2522,3820,2519);
ctx.bezierCurveTo(3820,2515,3855,2512,3897,2511);
ctx.bezierCurveTo(3989,2509,4016,2495,4026,2445);
ctx.bezierCurveTo(4029,2426,4036,2407,4041,2405);
ctx.bezierCurveTo(4045,2402,4067,2408,4089,2420);
ctx.bezierCurveTo(4111,2431,4136,2440,4145,2440);
ctx.bezierCurveTo(4154,2440,4173,2451,4187,2464);
ctx.bezierCurveTo(4202,2478,4225,2492,4239,2495);
ctx.bezierCurveTo(4253,2499,4271,2507,4278,2513);
ctx.bezierCurveTo(4286,2519,4297,2525,4304,2527);
ctx.bezierCurveTo(4310,2528,4329,2533,4345,2536);
ctx.bezierCurveTo(4362,2540,4377,2546,4380,2551);
ctx.bezierCurveTo(4388,2563,4464,2564,4486,2552);
ctx.bezierCurveTo(4503,2543,4510,2543,4519,2554);
ctx.bezierCurveTo(4525,2561,4526,2571,4522,2575);
ctx.bezierCurveTo(4518,2580,4521,2580,4528,2576);
ctx.bezierCurveTo(4536,2571,4540,2575,4540,2587);
ctx.bezierCurveTo(4540,2601,4542,2602,4549,2591);
ctx.bezierCurveTo(4556,2580,4564,2581,4592,2598);
ctx.bezierCurveTo(4611,2610,4630,2617,4633,2613);
ctx.bezierCurveTo(4637,2610,4640,2612,4640,2619);
ctx.bezierCurveTo(4640,2625,4652,2636,4668,2642);
ctx.bezierCurveTo(4698,2654,4811,2654,4820,2641);
ctx.bezierCurveTo(4832,2622,4882,2620,4932,2638);
ctx.bezierCurveTo(5004,2663,5115,2659,5140,2630);
ctx.bezierCurveTo(5160,2606,5167,2605,5185,2623);
ctx.bezierCurveTo(5194,2633,5213,2635,5248,2630);
ctx.bezierCurveTo(5299,2624,5330,2603,5330,2576);
ctx.bezierCurveTo(5330,2567,5335,2560,5340,2560);
ctx.bezierCurveTo(5346,2560,5350,2553,5350,2545);
ctx.bezierCurveTo(5350,2534,5355,2533,5374,2540);
ctx.bezierCurveTo(5390,2546,5402,2545,5410,2537);
ctx.bezierCurveTo(5420,2527,5422,2529,5416,2543);
ctx.bezierCurveTo(5413,2553,5410,2975,5410,3481);
ctx.bezierCurveTo(5410,3986,5407,4400,5403,4399);
ctx.bezierCurveTo(5398,4399,5381,4392,5364,4385);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};


var guamal  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle =  color ; //AQUI SE REALIZO EL CAMBIO DE VARIABLE
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1705,3370);
ctx.bezierCurveTo(1693,3366,1668,3346,1648,3326);
ctx.bezierCurveTo(1612,3290,1583,3281,1564,3300);
ctx.bezierCurveTo(1558,3306,1544,3307,1531,3302);
ctx.bezierCurveTo(1510,3294,1510,3294,1540,3254);
ctx.bezierCurveTo(1564,3224,1584,3210,1623,3198);
ctx.bezierCurveTo(1685,3179,1785,3160,1824,3160);
ctx.bezierCurveTo(1839,3160,1860,3155,1871,3150);
ctx.bezierCurveTo(1884,3142,1896,3143,1910,3150);
ctx.bezierCurveTo(1937,3164,1962,3156,1997,3121);
ctx.bezierCurveTo(2031,3087,2087,3054,2096,3062);
ctx.bezierCurveTo(2099,3066,2096,3078,2090,3090);
ctx.bezierCurveTo(2080,3109,2081,3114,2099,3126);
ctx.lineTo(2120,3141);
ctx.lineTo(2097,3171);
ctx.bezierCurveTo(2079,3197,2070,3201,2043,3197);
ctx.bezierCurveTo(2020,3193,2007,3197,1994,3211);
ctx.bezierCurveTo(1985,3221,1969,3230,1959,3230);
ctx.bezierCurveTo(1949,3230,1938,3235,1935,3241);
ctx.bezierCurveTo(1925,3256,1879,3273,1845,3274);
ctx.bezierCurveTo(1820,3275,1814,3280,1812,3302);
ctx.bezierCurveTo(1810,3319,1796,3337,1770,3354);
ctx.bezierCurveTo(1748,3368,1729,3380,1728,3379);
ctx.bezierCurveTo(1726,3379,1716,3375,1705,3370);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var castilla  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2119,3161);
ctx.bezierCurveTo(2127,3147,2125,3139,2111,3126);
ctx.bezierCurveTo(2083,3101,2103,3053,2144,3044);
ctx.bezierCurveTo(2161,3040,2181,3034,2190,3029);
ctx.bezierCurveTo(2198,3024,2230,3013,2262,3005);
ctx.bezierCurveTo(2293,2996,2323,2983,2330,2975);
ctx.bezierCurveTo(2337,2967,2363,2961,2398,2961);
ctx.bezierCurveTo(2454,2959,2478,2957,2533,2944);
ctx.bezierCurveTo(2568,2936,2568,2940,2535,3087);
ctx.bezierCurveTo(2530,3108,2526,3109,2449,3104);
ctx.bezierCurveTo(2392,3100,2364,3103,2353,3112);
ctx.bezierCurveTo(2345,3119,2310,3125,2276,3126);
ctx.bezierCurveTo(2230,3127,2204,3133,2168,3153);
ctx.bezierCurveTo(2112,3185,2106,3186,2119,3161);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var sancarlos  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2495,3260);
ctx.bezierCurveTo(2482,3238,2462,3157,2467,3144);
ctx.bezierCurveTo(2470,3136,2466,3130,2459,3130);
ctx.bezierCurveTo(2449,3130,2449,3127,2457,3119);
ctx.bezierCurveTo(2463,3113,2474,3111,2481,3116);
ctx.bezierCurveTo(2488,3120,2504,3125,2516,3126);
ctx.bezierCurveTo(2535,3128,2539,3119,2556,3037);
ctx.lineTo(2576,2946);
ctx.lineTo(2650,2943);
ctx.bezierCurveTo(2691,2942,2736,2936,2751,2929);
ctx.bezierCurveTo(2766,2923,2784,2921,2789,2925);
ctx.bezierCurveTo(2800,2931,2793,2981,2780,2990);
ctx.bezierCurveTo(2776,2993,2772,3007,2772,3021);
ctx.bezierCurveTo(2772,3040,2781,3052,2806,3065);
ctx.bezierCurveTo(2825,3075,2840,3089,2840,3097);
ctx.bezierCurveTo(2840,3104,2844,3110,2848,3110);
ctx.bezierCurveTo(2852,3110,2863,3127,2872,3147);
ctx.bezierCurveTo(2888,3180,2888,3184,2873,3195);
ctx.bezierCurveTo(2865,3201,2843,3206,2826,3205);
ctx.bezierCurveTo(2809,3203,2791,3206,2785,3210);
ctx.bezierCurveTo(2780,3214,2763,3220,2748,3224);
ctx.bezierCurveTo(2732,3227,2720,3234,2720,3239);
ctx.bezierCurveTo(2720,3243,2697,3245,2669,3242);
ctx.bezierCurveTo(2638,3239,2609,3242,2595,3250);
ctx.bezierCurveTo(2582,3257,2562,3260,2551,3257);
ctx.bezierCurveTo(2539,3254,2527,3256,2524,3261);
ctx.bezierCurveTo(2517,3273,2503,3272,2495,3260);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var puertolopez  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(4047,3834);
ctx.bezierCurveTo(4045,3831,4022,3829,3996,3828);
ctx.bezierCurveTo(3971,3828,3950,3824,3950,3820);
ctx.bezierCurveTo(3950,3816,3936,3806,3918,3799);
ctx.bezierCurveTo(3900,3792,3873,3771,3858,3754);
ctx.bezierCurveTo(3842,3736,3811,3713,3789,3702);
ctx.bezierCurveTo(3748,3682,3748,3682,3743,3701);
ctx.bezierCurveTo(3736,3725,3725,3725,3700,3700);
ctx.bezierCurveTo(3679,3679,3664,3675,3658,3688);
ctx.bezierCurveTo(3657,3692,3638,3703,3617,3712);
ctx.bezierCurveTo(3582,3729,3579,3729,3573,3713);
ctx.bezierCurveTo(3560,3680,3535,3665,3495,3667);
ctx.bezierCurveTo(3473,3667,3447,3671,3438,3675);
ctx.bezierCurveTo(3427,3679,3418,3675,3410,3661);
ctx.bezierCurveTo(3398,3637,3360,3633,3360,3655);
ctx.bezierCurveTo(3360,3679,3340,3672,3330,3644);
ctx.bezierCurveTo(3322,3623,3315,3619,3295,3622);
ctx.bezierCurveTo(3278,3626,3270,3623,3270,3613);
ctx.bezierCurveTo(3270,3603,3264,3601,3250,3605);
ctx.bezierCurveTo(3238,3609,3230,3607,3230,3599);
ctx.bezierCurveTo(3230,3590,3226,3591,3215,3600);
ctx.bezierCurveTo(3203,3610,3199,3608,3190,3585);
ctx.bezierCurveTo(3185,3571,3180,3554,3180,3549);
ctx.bezierCurveTo(3180,3540,3166,3536,3144,3539);
ctx.bezierCurveTo(3137,3540,3130,3530,3127,3518);
ctx.bezierCurveTo(3123,3503,3109,3491,3086,3484);
ctx.bezierCurveTo(3056,3475,3048,3476,3034,3491);
ctx.bezierCurveTo(3021,3506,3014,3507,2998,3497);
ctx.bezierCurveTo(2982,3488,2976,3488,2973,3498);
ctx.bezierCurveTo(2968,3512,2924,3515,2916,3501);
ctx.bezierCurveTo(2911,3494,2871,3484,2800,3475);
ctx.bezierCurveTo(2786,3473,2773,3471,2770,3470);
ctx.bezierCurveTo(2767,3469,2754,3467,2741,3467);
ctx.bezierCurveTo(2728,3466,2715,3459,2712,3451);
ctx.bezierCurveTo(2709,3441,2712,3439,2725,3444);
ctx.bezierCurveTo(2735,3447,2749,3445,2756,3439);
ctx.bezierCurveTo(2764,3433,2776,3430,2784,3433);
ctx.bezierCurveTo(2800,3439,2816,3410,2802,3401);
ctx.bezierCurveTo(2788,3392,2785,3309,2796,3253);
ctx.bezierCurveTo(2801,3226,2807,3221,2826,3222);
ctx.bezierCurveTo(2839,3223,2850,3228,2850,3232);
ctx.bezierCurveTo(2850,3236,2862,3228,2878,3214);
ctx.bezierCurveTo(2903,3190,2913,3162,2900,3150);
ctx.bezierCurveTo(2892,3143,2860,3091,2858,3083);
ctx.bezierCurveTo(2856,3071,2832,3050,2822,3050);
ctx.bezierCurveTo(2817,3050,2807,3044,2801,3036);
ctx.bezierCurveTo(2790,3022,2792,3011,2818,2971);
ctx.bezierCurveTo(2819,2968,2827,2976,2835,2987);
ctx.bezierCurveTo(2848,3006,2873,3013,2876,3000);
ctx.bezierCurveTo(2877,2997,2887,2976,2899,2953);
ctx.bezierCurveTo(2917,2917,2925,2910,2950,2910);
ctx.bezierCurveTo(2977,2910,2981,2906,2980,2885);
ctx.bezierCurveTo(2979,2882,2986,2873,2994,2865);
ctx.bezierCurveTo(3009,2849,3039,2855,3042,2874);
ctx.bezierCurveTo(3042,2880,3044,2890,3044,2895);
ctx.bezierCurveTo(3047,2914,3065,2937,3083,2943);
ctx.bezierCurveTo(3094,2947,3098,2955,3094,2962);
ctx.bezierCurveTo(3090,2969,3090,2972,3095,2968);
ctx.bezierCurveTo(3099,2964,3112,2967,3124,2975);
ctx.bezierCurveTo(3135,2983,3155,2990,3167,2990);
ctx.bezierCurveTo(3182,2990,3190,2996,3190,3006);
ctx.bezierCurveTo(3190,3019,3193,3020,3204,3011);
ctx.bezierCurveTo(3215,3001,3227,3008,3264,3044);
ctx.bezierCurveTo(3289,3068,3310,3093,3310,3099);
ctx.bezierCurveTo(3310,3115,3375,3139,3399,3133);
ctx.bezierCurveTo(3411,3130,3428,3134,3437,3141);
ctx.bezierCurveTo(3449,3151,3451,3151,3446,3143);
ctx.bezierCurveTo(3442,3135,3445,3130,3454,3130);
ctx.bezierCurveTo(3463,3130,3470,3125,3470,3119);
ctx.bezierCurveTo(3470,3114,3475,3112,3481,3115);
ctx.bezierCurveTo(3486,3119,3506,3116,3523,3109);
ctx.bezierCurveTo(3603,3078,3646,3056,3653,3044);
ctx.bezierCurveTo(3657,3036,3672,3030,3685,3030);
ctx.bezierCurveTo(3699,3030,3710,3026,3710,3021);
ctx.bezierCurveTo(3710,3017,3722,3013,3738,3014);
ctx.bezierCurveTo(3753,3015,3771,3007,3778,2998);
ctx.bezierCurveTo(3794,2976,3819,2975,3864,2994);
ctx.bezierCurveTo(3897,3008,3917,3044,3898,3056);
ctx.bezierCurveTo(3891,3060,3891,3065,3898,3069);
ctx.bezierCurveTo(3919,3082,3948,3148,3938,3158);
ctx.bezierCurveTo(3926,3170,3936,3177,3973,3184);
ctx.bezierCurveTo(4013,3191,4021,3199,4014,3226);
ctx.bezierCurveTo(4009,3244,4012,3250,4025,3250);
ctx.bezierCurveTo(4036,3250,4040,3255,4037,3265);
ctx.bezierCurveTo(4033,3273,4035,3282,4041,3286);
ctx.bezierCurveTo(4046,3289,4048,3301,4044,3312);
ctx.bezierCurveTo(4039,3330,4041,3332,4064,3326);
ctx.bezierCurveTo(4083,3321,4090,3324,4090,3334);
ctx.bezierCurveTo(4090,3342,4083,3351,4074,3354);
ctx.bezierCurveTo(4054,3362,4067,3382,4088,3376);
ctx.bezierCurveTo(4099,3372,4109,3379,4116,3395);
ctx.bezierCurveTo(4130,3424,4124,3433,4098,3419);
ctx.bezierCurveTo(4088,3413,4071,3412,4060,3415);
ctx.bezierCurveTo(4040,3421,3980,3473,3980,3485);
ctx.bezierCurveTo(3980,3496,4007,3519,4013,3514);
ctx.bezierCurveTo(4016,3510,4022,3525,4025,3546);
ctx.bezierCurveTo(4029,3568,4035,3596,4040,3610);
ctx.bezierCurveTo(4044,3624,4048,3650,4049,3669);
ctx.bezierCurveTo(4051,3707,4061,3729,4103,3785);
ctx.bezierCurveTo(4120,3807,4130,3822,4125,3818);
ctx.bezierCurveTo(4121,3814,4111,3815,4104,3820);
ctx.bezierCurveTo(4090,3832,4054,3841,4047,3834);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var acacias  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(1996,3516);
ctx.bezierCurveTo(1993,3503,1985,3499,1971,3503);
ctx.bezierCurveTo(1958,3506,1939,3500,1923,3487);
ctx.bezierCurveTo(1908,3475,1888,3466,1879,3468);
ctx.bezierCurveTo(1870,3470,1851,3455,1836,3435);
ctx.bezierCurveTo(1816,3409,1805,3402,1796,3409);
ctx.bezierCurveTo(1784,3419,1743,3417,1733,3406);
ctx.bezierCurveTo(1730,3403,1746,3389,1769,3373);
ctx.bezierCurveTo(1794,3356,1813,3333,1818,3315);
ctx.bezierCurveTo(1824,3295,1833,3286,1845,3287);
ctx.bezierCurveTo(1855,3287,1880,3282,1900,3275);
ctx.bezierCurveTo(1921,3268,1942,3265,1946,3268);
ctx.bezierCurveTo(1950,3272,1950,3269,1946,3262);
ctx.bezierCurveTo(1939,3250,1978,3228,1993,3237);
ctx.bezierCurveTo(1997,3239,2000,3234,2000,3226);
ctx.bezierCurveTo(2000,3214,2011,3210,2043,3210);
ctx.bezierCurveTo(2074,3210,2107,3200,2151,3176);
ctx.bezierCurveTo(2216,3141,2280,3124,2280,3141);
ctx.bezierCurveTo(2280,3146,2292,3148,2308,3144);
ctx.bezierCurveTo(2323,3141,2340,3138,2347,3138);
ctx.bezierCurveTo(2354,3137,2361,3131,2364,3123);
ctx.bezierCurveTo(2367,3116,2382,3110,2398,3110);
ctx.bezierCurveTo(2430,3110,2436,3119,2467,3217);
ctx.lineTo(2487,3279);
ctx.lineTo(2461,3285);
ctx.bezierCurveTo(2447,3289,2417,3294,2395,3296);
ctx.bezierCurveTo(2343,3301,2250,3313,2225,3317);
ctx.bezierCurveTo(2214,3319,2176,3323,2140,3325);
ctx.bezierCurveTo(2094,3329,2071,3335,2063,3347);
ctx.bezierCurveTo(2042,3375,2049,3478,2071,3465);
ctx.bezierCurveTo(2085,3456,2119,3497,2114,3517);
ctx.bezierCurveTo(2107,3544,2003,3544,1996,3516);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var villavicencio  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2077,3612);
ctx.bezierCurveTo(2070,3577,2080,3549,2098,3552);
ctx.bezierCurveTo(2107,3554,2119,3544,2126,3531);
ctx.bezierCurveTo(2142,3500,2127,3465,2091,3451);
ctx.bezierCurveTo(2069,3441,2065,3434,2067,3399);
ctx.bezierCurveTo(2067,3377,2070,3357,2072,3355);
ctx.bezierCurveTo(2074,3352,2098,3348,2126,3346);
ctx.bezierCurveTo(2252,3334,2294,3329,2301,3324);
ctx.bezierCurveTo(2305,3322,2335,3317,2367,3314);
ctx.bezierCurveTo(2451,3307,2479,3301,2509,3286);
ctx.bezierCurveTo(2542,3269,2610,3258,2673,3259);
ctx.bezierCurveTo(2699,3260,2736,3254,2755,3246);
ctx.bezierCurveTo(2787,3232,2788,3233,2785,3252);
ctx.bezierCurveTo(2783,3263,2775,3279,2769,3287);
ctx.bezierCurveTo(2761,3296,2760,3304,2766,3308);
ctx.bezierCurveTo(2772,3312,2776,3331,2775,3350);
ctx.bezierCurveTo(2774,3369,2777,3391,2783,3397);
ctx.bezierCurveTo(2789,3406,2784,3413,2765,3420);
ctx.bezierCurveTo(2750,3426,2735,3428,2730,3425);
ctx.bezierCurveTo(2725,3422,2714,3428,2704,3437);
ctx.bezierCurveTo(2690,3451,2667,3455,2591,3457);
ctx.bezierCurveTo(2534,3458,2477,3465,2451,3474);
ctx.bezierCurveTo(2427,3483,2400,3490,2390,3490);
ctx.bezierCurveTo(2367,3490,2282,3528,2248,3553);
ctx.bezierCurveTo(2223,3572,2222,3575,2235,3590);
ctx.bezierCurveTo(2261,3618,2229,3635,2149,3635);
ctx.bezierCurveTo(2086,3635,2081,3634,2077,3612);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var calvario  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2027,3832);
ctx.bezierCurveTo(2008,3811,2005,3779,2020,3764);
ctx.bezierCurveTo(2025,3759,2033,3730,2037,3700);
ctx.lineTo(2045,3646);
ctx.lineTo(2090,3646);
ctx.bezierCurveTo(2174,3647,2230,3660,2230,3679);
ctx.bezierCurveTo(2230,3688,2235,3701,2242,3708);
ctx.bezierCurveTo(2251,3717,2251,3726,2242,3745);
ctx.bezierCurveTo(2228,3775,2200,3778,2193,3750);
ctx.bezierCurveTo(2184,3717,2161,3733,2146,3783);
ctx.bezierCurveTo(2143,3793,2131,3800,2117,3800);
ctx.bezierCurveTo(2089,3800,2070,3817,2077,3836);
ctx.bezierCurveTo(2085,3857,2046,3853,2027,3832);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var restrepo  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2243,3819);
ctx.bezierCurveTo(2233,3793,2234,3784,2252,3754);
ctx.bezierCurveTo(2270,3723,2271,3717,2258,3702);
ctx.bezierCurveTo(2235,3676,2229,3640,2246,3633);
ctx.bezierCurveTo(2262,3627,2265,3599,2250,3584);
ctx.bezierCurveTo(2238,3572,2354,3508,2397,3504);
ctx.bezierCurveTo(2412,3502,2432,3491,2441,3479);
ctx.bezierCurveTo(2458,3456,2470,3453,2557,3449);
ctx.bezierCurveTo(2592,3448,2608,3444,2603,3436);
ctx.bezierCurveTo(2600,3430,2603,3431,2611,3438);
ctx.bezierCurveTo(2618,3444,2639,3450,2657,3450);
ctx.bezierCurveTo(2675,3450,2690,3454,2690,3459);
ctx.bezierCurveTo(2690,3472,2719,3481,2780,3487);
ctx.bezierCurveTo(2834,3491,2874,3509,2834,3511);
ctx.bezierCurveTo(2807,3512,2705,3511,2705,3510);
ctx.bezierCurveTo(2705,3508,2558,3499,2535,3499);
ctx.bezierCurveTo(2525,3499,2519,3500,2467,3515);
ctx.bezierCurveTo(2451,3519,2421,3545,2397,3574);
ctx.bezierCurveTo(2370,3607,2349,3624,2338,3622);
ctx.bezierCurveTo(2327,3620,2320,3625,2320,3633);
ctx.bezierCurveTo(2320,3641,2314,3650,2307,3653);
ctx.bezierCurveTo(2297,3657,2293,3681,2292,3734);
ctx.bezierCurveTo(2291,3800,2277,3850,2260,3850);
ctx.bezierCurveTo(2257,3850,2249,3836,2243,3819);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var sanjuanito  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2227,3984);
ctx.bezierCurveTo(2223,3980,2220,3964,2220,3949);
ctx.bezierCurveTo(2220,3934,2217,3915,2214,3906);
ctx.bezierCurveTo(2206,3886,2180,3885,2180,3904);
ctx.bezierCurveTo(2180,3918,2159,3930,2134,3930);
ctx.bezierCurveTo(2117,3930,2090,3872,2090,3835);
ctx.bezierCurveTo(2090,3814,2095,3810,2120,3810);
ctx.bezierCurveTo(2149,3810,2152,3807,2166,3762);
ctx.bezierCurveTo(2170,3748,2230,3809,2230,3827);
ctx.bezierCurveTo(2230,3833,2244,3862,2260,3893);
ctx.bezierCurveTo(2295,3959,2297,3970,2272,3970);
ctx.bezierCurveTo(2262,3970,2249,3975,2244,3980);
ctx.bezierCurveTo(2238,3986,2231,3987,2227,3984);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var cumaral  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2299,3723);
ctx.bezierCurveTo(2299,3718,2297,3705,2296,3692);
ctx.bezierCurveTo(2294,3675,2306,3660,2344,3632);
ctx.bezierCurveTo(2372,3612,2416,3573,2441,3546);
ctx.bezierCurveTo(2484,3499,2488,3497,2541,3496);
ctx.bezierCurveTo(2615,3496,2678,3506,2695,3520);
ctx.bezierCurveTo(2705,3528,2726,3530,2758,3526);
ctx.bezierCurveTo(2784,3523,2823,3518,2845,3515);
ctx.bezierCurveTo(2880,3511,2941,3527,2940,3540);
ctx.bezierCurveTo(2939,3554,2902,3587,2883,3592);
ctx.bezierCurveTo(2867,3596,2859,3593,2855,3579);
ctx.bezierCurveTo(2846,3552,2828,3555,2794,3591);
ctx.bezierCurveTo(2757,3631,2742,3638,2679,3650);
ctx.bezierCurveTo(2650,3656,2615,3666,2599,3674);
ctx.bezierCurveTo(2564,3691,2502,3681,2465,3652);
ctx.bezierCurveTo(2450,3640,2431,3630,2423,3630);
ctx.bezierCurveTo(2403,3630,2332,3689,2325,3712);
ctx.bezierCurveTo(2319,3730,2301,3737,2299,3723);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var cabuyaro  = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2913,3848);
ctx.bezierCurveTo(2901,3842,2892,3830,2892,3821);
ctx.bezierCurveTo(2894,3793,2875,3668,2863,3626);
ctx.bezierCurveTo(2858,3609,2862,3608,2894,3613);
ctx.bezierCurveTo(2926,3618,2932,3616,2940,3595);
ctx.bezierCurveTo(2945,3583,2953,3569,2959,3566);
ctx.bezierCurveTo(2965,3562,2967,3553,2964,3546);
ctx.bezierCurveTo(2956,3524,2980,3516,2994,3536);
ctx.bezierCurveTo(3007,3553,3008,3553,3014,3533);
ctx.bezierCurveTo(3021,3511,3072,3491,3078,3509);
ctx.bezierCurveTo(3080,3514,3087,3517,3094,3514);
ctx.bezierCurveTo(3101,3511,3111,3520,3118,3534);
ctx.bezierCurveTo(3126,3552,3134,3557,3151,3553);
ctx.bezierCurveTo(3171,3548,3171,3549,3160,3570);
ctx.bezierCurveTo(3149,3590,3150,3595,3164,3605);
ctx.bezierCurveTo(3173,3612,3180,3623,3180,3629);
ctx.bezierCurveTo(3180,3637,3188,3639,3200,3636);
ctx.bezierCurveTo(3211,3633,3229,3627,3240,3624);
ctx.bezierCurveTo(3255,3620,3258,3622,3254,3634);
ctx.bezierCurveTo(3251,3643,3253,3650,3260,3650);
ctx.bezierCurveTo(3266,3650,3268,3656,3265,3663);
ctx.bezierCurveTo(3261,3669,3268,3665,3279,3652);
ctx.bezierCurveTo(3302,3626,3325,3632,3317,3661);
ctx.bezierCurveTo(3314,3671,3316,3683,3321,3686);
ctx.bezierCurveTo(3332,3692,3333,3711,3323,3708);
ctx.bezierCurveTo(3305,3703,3272,3732,3267,3757);
ctx.bezierCurveTo(3257,3809,3231,3826,3173,3822);
ctx.bezierCurveTo(3129,3819,3120,3815,3120,3799);
ctx.bezierCurveTo(3120,3789,3124,3780,3129,3780);
ctx.bezierCurveTo(3141,3780,3137,3753,3122,3738);
ctx.bezierCurveTo(3113,3729,3110,3729,3110,3738);
ctx.bezierCurveTo(3110,3745,3094,3760,3075,3771);
ctx.bezierCurveTo(3056,3783,3040,3797,3040,3804);
ctx.bezierCurveTo(3040,3815,2959,3861,2942,3859);
ctx.bezierCurveTo(2938,3859,2925,3854,2913,3848);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

var barranca = function(ctx , color ) {
ctx.save();
ctx.beginPath();
ctx.moveTo(0,0);
ctx.lineTo(715,0);
ctx.lineTo(715,600);
ctx.lineTo(0,600);
ctx.closePath();
ctx.clip();
ctx.translate(0,0);
ctx.translate(0,0);
ctx.scale(1.25,1.25);
ctx.translate(0,0);
ctx.strokeStyle = 'rgba(0,0,0,0)';
ctx.lineCap = 'butt';
ctx.lineJoin = 'miter';
ctx.miterLimit = 4;
ctx.save();
ctx.restore();
ctx.save();
ctx.fillStyle = color;
ctx.strokeStyle = "rgba(0, 0, 0, 0)";
ctx.translate(0,480);
ctx.scale(0.1,-0.1);
ctx.save();
ctx.beginPath();
ctx.moveTo(2945,4123);
ctx.bezierCurveTo(2941,4102,2932,4051,2925,4010);
ctx.bezierCurveTo(2904,3892,2901,3860,2911,3860);
ctx.bezierCurveTo(2916,3860,2920,3865,2920,3870);
ctx.bezierCurveTo(2920,3876,2927,3880,2935,3880);
ctx.bezierCurveTo(2960,3880,3050,3827,3050,3813);
ctx.bezierCurveTo(3050,3803,3087,3780,3104,3780);
ctx.bezierCurveTo(3105,3780,3105,3794,3102,3810);
ctx.lineTo(3098,3840);
ctx.lineTo(3156,3841);
ctx.bezierCurveTo(3197,3841,3209,3844,3195,3849);
ctx.bezierCurveTo(3184,3854,3166,3870,3155,3886);
ctx.bezierCurveTo(3144,3901,3123,3925,3108,3939);
ctx.bezierCurveTo(3092,3953,3080,3972,3080,3982);
ctx.bezierCurveTo(3080,3992,3076,4000,3070,4000);
ctx.bezierCurveTo(3065,4000,3060,4006,3060,4013);
ctx.bezierCurveTo(3060,4021,3048,4037,3034,4051);
ctx.bezierCurveTo(3019,4064,2995,4095,2979,4118);
ctx.lineTo(2951,4162);
ctx.lineTo(2945,4123);
ctx.closePath();
ctx.fill();
ctx.stroke();
ctx.restore();
ctx.restore();
ctx.restore();
};

function drawTooltip( x, y ,  textoinf )
{
   ctx.beginPath();
    //ctx.rect(x,  y , 220, 40);
    ctx.closePath();
    ctx.fillStyle = '#fdfefe';
    ctx.fill();
    //ctx.lineWidth = 1;
    ctx.strokeStyle = 'black';
    ctx.stroke();  
    //ctx.lineWidth = 1;
    ctx.fillStyle = 'black';
    ctx.font = 'Normal 14pt verdana'; 
    ctx.fillText( textoinf  , x+ 5,  y+5 );   
}

function paint()
{
 ctx.clearRect(0, 0, ctx.canvas.width, ctx.canvas.height); //limpia pantalla
 //pinta las provincias
 for (var i=0; i<provincia.length; i++)    
 {
   provincia[i].gui( ctx, provincia[i].color ); // pinta provincia
   if( !send_ajax )    
     //si mouse pasa sobre una provincia cambia a otro color
     provincia[i].color  = ( ctx.isPointInPath( mouseX, mouseY ) )  ? provincia[i].color_hover  :  provincia[i].color_release ;          
 }
}

/*=========== VARIABLES ===========*/
var canvas;
var ctx;
//coordenadas del mouse
var mouseX, mouseY;
//bandera para saber si se utiliza envio de datos por AJAX
var send_ajax = false ;

//array de provincias
var provincia = [
     new localidad('La macarena',          macarena ,      '#2ecc71' ,    '#ffffff',  1, "macarena"),
     new localidad('La uribe' ,            uribe ,         '#7dcea0' ,    '#ffffff',  2, "uribe"),
     new localidad('Mesetas' ,             mesetas ,       '#73c6b6' ,    '#ffffff',  3, "mesetas"),
     new localidad('Vista hermosa' ,       vistahermosa ,  '#48c9b0' ,    '#ffffff',  4, "vistahermosa"),
     new localidad('San Juan de Arama' ,   sanjuanarama ,  '#abebc6' ,    '#ffffff',  5, "sanjuanarama"),
     new localidad('Lejanias' ,            lejanias ,      '#16a085' ,    '#ffffff',  6, "lejanias"),
     new localidad('Cubarral' ,            cubarral ,      '#7fb3d5' ,    '#ffffff',  7, "cubarral"),
     new localidad('El castillo' ,         castillo ,      '#2471a3' ,    '#ffffff',  8, "castillo"),
     new localidad('Granada' ,             granada ,       '#1f618d' ,    '#ffffff',  9, "granada"),
     new localidad('Fuente de oro' ,       fuenteoro ,     '#2471a3' ,    '#ffffff', 10, "fuenteoro"),
     new localidad('Puerto Lleras' ,       puertolleras ,  '#5499c7' ,    '#ffffff', 11, "puertolleras"),
     new localidad('Puerto Rico' ,         puertorico ,    '#4D91F9' ,    '#ffffff', 12, "puertorico"),
     new localidad('El dorado' ,           dorado ,        '#4D91F9' ,    '#ffffff', 13, "dorado"),
     new localidad('San Martin' ,          sanmartin ,     '#f7dc6f' ,    '#ffffff', 14, "sanmartin"),
     new localidad('Puerto Concordia' ,    puertoconcordia,'#d68910' ,    '#ffffff', 15, "puertoconcordia"),
     new localidad('Mapiripan' ,           mapiripan ,     '#784212' ,    '#ffffff', 16, "mapiripan"),
     new localidad('Puerto Gaitan' ,       puertogaitan ,  '#d35400' ,    '#ffffff', 17, "puertogaitan"),
     new localidad('Guamal' ,              guamal ,        '#C4BA60' ,    '#ffffff', 18, "guamal"),
     new localidad('Castilla la nueva' ,   castilla ,      '#f8c471' ,    '#ffffff', 19, "castilla"),
     new localidad('San Carlos de Guaroa', sancarlos ,     '#B98A37' ,    '#ffffff', 20, "sancarlos"),
     new localidad('Puerto Lopez' ,        puertolopez ,   '#e67e22' ,    '#ffffff', 21, "puertolopez"),
     new localidad('Acacias' ,             acacias ,       '#edbb99' ,    '#ffffff', 22, "acacias"),
     new localidad('Villavicencio' ,       villavicencio , '#FBC114' ,    '#ffffff', 23, "villavicencio"),
     new localidad('El calvario' ,         calvario ,      '#b9770e' ,    '#ffffff', 24, "calvario"),
     new localidad('Restrepo' ,            restrepo ,      '#f4d03f' ,    '#ffffff', 25, "restrepo"),
     new localidad('San Juanito' ,         sanjuanito ,    '#e67e22' ,    '#ffffff', 26, "sanjuanito"),
     new localidad('Cumaral' ,             cumaral ,       '#dc7633' ,    '#ffffff', 27, "cumaral"),
     new localidad('Cabuyaro' ,            cabuyaro ,      '#AE530D' ,    '#ffffff', 28, "cabuyaro"),
     new localidad('Barranca de Upía' ,    barranca ,      '#d35400' ,    '#ffffff', 29, "barranca")
     ];

$(window).load(function(){
 paint();  
});


$(function(){    

 canvas = document.getElementById('canvas');
 ctx = canvas.getContext('2d'); 
 //eventos del mouse -> movimiento del raton o.O
 $('#canvas').mousemove(function(e) {           
  //posicion del raton
  mouseX = e.pageX ;
  mouseY = e.pageY ;  
  //se pinta todo el canvas
  paint(); 

 //Si el raton esta dentro de alguna provincia->pinta Tooltip 
    for (var i=0; i< provincia.length; i++)   
   if(  provincia[i].color  !== provincia[i].color_release )
     {
     drawTooltip ( mouseX, mouseY ,  provincia[i].name ); 
     break;
   }

  //se esta enviando datos -> muestra ventana de aviso 
  //if( send_ajax )  
     //drawProcess( process.x , process.y , process.imageLoad );     
    }); 

     $('#canvas').click(function(e) {          
         for (var i=0; i< provincia.length; i++)  
         {
           if(  provincia[i].color !== provincia[i].color_release )
           {
            if(provincia[i].name){
              var html = "";
              var imagen = provincia[i].id;
              var grafico_excel = provincia[i].nemo;   
      html += "<h1>"+provincia[i].name+"<h1>"+
              "<h2>Subtitulo</h2>"+
      "<img style='display: inline-block; width: 40%'' src='img/"+imagen+".png'/>"+
"<section style='display: inline-block; width: 59%; text-align: justify; margin-top:0px;'>"+
              "<label>"+
              ""+textos[i].descripcion+"</label>"+
              "<img style='display: inline-block; width: 70%;' src='excel/"+grafico_excel+".png'/>"+
              "</section>"+
              "<div style='display: block; margin-top: 20px;'>"+
              "<a href='"+enlaces[i].enlace1+"' target='top'>Acuerdo de municipio</a>"+
              "&nbsp; &nbsp;<a href='"+enlaces[i].enlace2+"' target='_blank'>Convenio tripartito</a>"+
              "</div>";
              $('#contenido').html(html);


             
              $('#popup').fadeIn('slow');

              $('.popup-overlay').fadeIn('slow');
              $('.popup-overlay').height($(window).height());
              
              return false;
              break;    
            }
            
           } 
           
         }   
    }); 

});  

$(document).ready(function(){

    $('#close').click(function(){
        $('#popup').fadeOut('slow');
        $('.popup-overlay').fadeOut('slow');
        return false;
    });
});


